> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List an entity's cross-linked peers



## OpenAPI

````yaml /openapi/customer-api.json get /project/{projectId}/entities/{entityId}/crosslinks
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Files
  - name: Import
  - name: Notifications
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /project/{projectId}/entities/{entityId}/crosslinks:
    get:
      tags:
        - Entities
      summary: List an entity's cross-linked peers
      operationId: EntitiesController_getCrosslinks
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - in: path
          name: entityId
          required: true
          schema:
            type: string
        - in: query
          name: branch_id
          required: false
          schema:
            type: string
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityCrosslinksResponseDto'
          description: ''
        '404':
          description: Entity not found
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    EntityCrosslinksResponseDto:
      properties:
        crosslinks:
          description: >-
            Ids of entities cross-linked to this one that are not deleted on the
            requested branch. Unordered — cross-links are peer relationships and
            carry no sort key.
          items:
            type: string
          type: array
        entityId:
          type: string
      required:
        - entityId
        - crosslinks
      type: object
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````